%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name:		openconnect
Version:	3.15
Release:	%mkrel 2
Summary:	Open client for Cisco AnyConnect VPN
Group:		Networking/Other
License:	LGPLv2+
URL:		http://www.infradead.org/openconnect.html
Source:     ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}.tar.gz
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:  intltool
# the vpnc connect script is  needed
Requires:       vpnc

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%package -n %libname
Summary: Runtime Library needed by %name
Group: System/Libraries

%description -n %libname
Runtime librairy for %name

%package -n %develname
Summary: Developements headers for %name
Group:	Development/C++
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Conflicts: %name-static-devel < 3.10

%description -n %develname
Headers files to build packages against %name

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

# Get ride of .la files
rm -rf %{buildroot}%{_libdir}/libopenconnect.la

%files -f %{name}.lang 
%doc TODO COPYING.LGPL openconnect.html
%{_sbindir}/%{name}
%{_mandir}/man8/*
%{_datadir}/%{name}

%files -n %libname
%{_libdir}/libopenconnect.so.%{major}*

%files -n %develname
%{_libdir}/libopenconnect.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h


%changelog

* Sun Feb 05 2012 guillomovitch <guillomovitch> 3.15-2.mga2
+ Revision: 204664
- requires vpnc for connection script
- large spec cleanup: keep it consistent with other packages

* Mon Nov 28 2011 mikala <mikala> 3.15-1.mga2
+ Revision: 173328
- Open tarball to 3.15

* Mon Nov 21 2011 mikala <mikala> 3.14-1.mga2
+ Revision: 170413
- Update tarball to 3.14
- fix files list

* Wed Oct 05 2011 mikala <mikala> 3.13-1.mga2
+ Revision: 151583
- Update tarball to 3.13
- fix file list
- add missing BR

* Fri Sep 30 2011 mikala <mikala> 3.12-1.mga2
+ Revision: 150589
- Fix group
- Update tarball to 3.12
- switch to pkgconfig() BR
- remove %%clean section

* Sun Jul 17 2011 mikala <mikala> 3.10-1.mga2
+ Revision: 125261
- Update tarball to 3.10 ( see http://www.infradead.org/openconnect.html for changelog)
- Fix files list
- Remove static-devel package
- Remove .la files

* Fri May 06 2011 mikala <mikala> 3.02-1.mga1
+ Revision: 95639
- Remove BuildRoot
- imported package openconnect


* Thu Apr 21 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.02-1mdv2011.0
+ Revision: 656437
- new version

* Thu Mar 24 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-3
+ Revision: 648312
- patch: fix man page typo

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 3.01-2
+ Revision: 645097
- install authentication helper library too as subpackage

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 3.01-1
+ Revision: 644984
- new version
- do not build openconnect-nm-auth-dialog and drop patch for it.
  It is provided by networkmanager-openconnect now

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-5mdv2011.0
+ Revision: 603024
- better name for gui subpackage

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-4mdv2011.0
+ Revision: 603007
- split auth dialog into a subpackage, to avoid X11 dependencies

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-3mdv2011.0
+ Revision: 602078
- don't forget build dependencies to really build networkmanager plugin

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-2mdv2011.0
+ Revision: 601848
- don't remove network-manager plugin (thanks Andrey)

* Fri Sep 24 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-1mdv2011.0
+ Revision: 580910
- update to new version 2.26

* Tue Aug 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.25-1mdv2011.0
+ Revision: 571050
- update to new version 2.25

* Sat Aug 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.24-1mdv2011.0
+ Revision: 567316
- update to new version 2.24

* Tue Apr 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-1mdv2010.1
+ Revision: 532349
- update to new version 2.22

* Wed Jan 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.21-1mdv2010.1
+ Revision: 490729
- update to new version 2.21

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 2.20-1mdv2010.1
+ Revision: 486893
- update to new version 2.20

* Tue Dec 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2010.1
+ Revision: 478981
- update to new version 2.12

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2010.1
+ Revision: 468645
- update to new version 2.11

* Fri Aug 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-2mdv2010.0
+ Revision: 421873
- drop openssl versionned dependency

* Thu Aug 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2010.0
+ Revision: 421763
- import openconnect


* Thu Aug 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2010.0
- initial mdv package, shamelessly stolen from fedora 
